igeo.gui

## Class ISurfaceMesh

- java.lang.Object
- - igeo.gui.ISurfaceMesh

-     public class ISurfaceMesh
      extends java.lang.Object

  Class to generate drawable polygon mesh of NURBS surface with or without trim curves. This class is used by ISurfaceGraphicFillGL.
  Author:
    Satoru Sugihara
  See Also:
    `ISurfaceGraphicFillGL`, `ISubsurfaceMesh`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ISurfaceMesh.SubsurfaceIndex`
    `static class` | `ISurfaceMesh.SubsurfaceIndexGroup`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ISurfaceMesh()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IVec2` | `getCenter(IVec2[] triangle)`
    `static IVec2[][]` | `getTriangles(IVec2[][] surfPts, IVec2[][] outerLoops, IVec2[][] innerLoops)`
    `static IVec2[][]` | `getTriangles(IVec2[] surfPts, IVec2[][] outerLoops, IVec2[][] innerLoops)`
    `static IVec2[]` | `insertPoint(IVec2[] pts, int i, IVec2 pt)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ISurfaceMesh

          public ISurfaceMesh()

  - ### Method Detail

    - #### getTriangles

          public static IVec2[][] getTriangles(IVec2[][] surfPts,
                                               IVec2[][] outerLoops,
                                               IVec2[][] innerLoops)

    - #### getTriangles

          public static IVec2[][] getTriangles(IVec2[] surfPts,
                                               IVec2[][] outerLoops,
                                               IVec2[][] innerLoops)

    - #### insertPoint

          public static IVec2[] insertPoint(IVec2[] pts,
                                            int i,
                                            IVec2 pt)

    - #### getCenter

          public static IVec2 getCenter(IVec2[] triangle)